<?xml version='1.0' encoding='utf-8' ?>
<!--
Copyright (c) 2001 The JA-SIG Collaborative.  All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in
   the documentation and/or other materials provided with the
   distribution.
   
3. Redistributions of any form whatsoever must retain the following
   acknowledgment:
   "This product includes software developed by the JA-SIG Collaborative
   (http://www.jasig.org/)."
   
THIS SOFTWARE IS PROVIDED BY THE JA-SIG COLLABORATIVE "AS IS" AND ANY
EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JA-SIG COLLABORATIVE OR
ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
OF THE POSSIBILITY OF SUCH DAMAGE.

Author: Ken Weiner, kweiner@interactivebusiness.com
$Revision: 1.6 $
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" indent="yes"/>
	<xsl:param name="baseActionURL">default</xsl:param>
	<xsl:param name="unauthenticated">false</xsl:param>
	<xsl:variable name="mediaPath" select="'media/org/jasig/portal/channels/CLogin'"/>
	
	<xsl:template match="login-status">
		<form action="Authentication" method="post" style="margin:0px;">
		<fieldset>
		<xsl:choose>
		<xsl:when test="$unauthenticated='true'">
	    	<xsl:call-template name="buildTable"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="buildTable"/>
		</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="$unauthenticated='true'">
		</xsl:if>
		<input type="hidden" name="action" value="login"/>
		</fieldset>
		</form>
	</xsl:template>

	<xsl:template match="failure">
		<span class="uportal-channel-warning">The user name/password combination entered is not recognized. Please try again.</span>
	</xsl:template>

	<xsl:template match="error">
    	<span class="uportal-channel-warning">An error occured during authentication. The portal is unable to log you on at this time. Try again later.</span>
	</xsl:template>
	
	<xsl:template match="full-name">
	</xsl:template>

	<xsl:template name="buildTable">
	<xsl:choose>
		<xsl:when test="$unauthenticated='true'">
		<legend style="font-weight:bold">Welcome Guest - Please Login:</legend>
		</xsl:when>
		<xsl:otherwise>
			Welcome <xsl:value-of select="full-name"/>
		</xsl:otherwise>
	</xsl:choose>

	<xsl:choose>
	<xsl:when test="$unauthenticated='true'">
		<div>
			<label for="userName">
				PID:&#160;
			</label>
			<input class="uportal-input-text" type="text" name="userName" id="userName" size="15">
			<xsl:attribute name="value">
    		<xsl:value-of select="/login-status/failure/@attemptedUserName"/>
    		</xsl:attribute>
			</input>
		</div>
		<div>
			<label for="password">
				Password:&#160;
			</label>
			<input class="uportal-input-text" type="password" name="password" id="password" size="15"/>
		</div>
		<div>
			<label>&#160;</label>
			<input type="submit" value="Login" name="Login" class="uportal-button"/>
		</div>
    </xsl:when>
	<xsl:otherwise>
		You are currently logged in.
	</xsl:otherwise>
    </xsl:choose>

	<xsl:if test="$unauthenticated='true'">
    	<xsl:apply-templates/>
	</xsl:if>

	</xsl:template>

</xsl:stylesheet>

